## budgie-extras 0.8.3

=== meson_options.txt ===
option('build-all', type: 'boolean', value: true, description: 'Build all applets')
option('build-wpreviews', type: 'boolean', value: false, description: 'Build windows previews applet')
option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')
option('build-quicknote', type: 'boolean', value: false, description: 'Build quicknote applet')
option('build-wmover', type: 'boolean', value: false, description: 'Build Window & Desktop Mover applet')
option('build-wsoverview', type: 'boolean', value: false, description: 'Build Workspaces and windows overview applet')
option('build-showtime', type: 'boolean', value: false, description: 'Build Showtime applet')
option('build-countdown', type: 'boolean', value: false, description: 'Build Countdown applet')
option('build-keyboard-autoswitch', type: 'boolean', value: false, description: 'Build Keyboard autoswitch applet')
option('build-rotation-lock', type: 'boolean', value: false, description: 'Build screen rotation lock applet')
option('build-clockworks', type: 'boolean', value: false, description: 'Build clockworks applet')
option('build-dropby', type: 'boolean', value: false, description: 'Build dropby applet')
option('build-kangaroo', type: 'boolean', value: false, description: 'Build kangaroo applet')
option('build-weathershow', type: 'boolean', value: false, description: 'Build show weather applet')
option('build-trash', type: 'boolean', value: false, description: 'Build trash applet')
option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')
