## budgie-extras 0.4.4

=== debian/changelog ===
budgie-extras (0.4.4-0ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - Clockworks should always have at least one clock
    - Window Previews no longer displays multiple times when invoked through hot-corners
    - Window Previews per app display with the correct shortcut key as advertised in settings
    - Distinguish between a mouse hover and an Alt+Tab by changing the border-style;
      previously both displayed with the same border-style which caused visual confusion
    - Don't display dates with a prefix of zero

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 08 Apr 2018 16:39:33 +0100

budgie-extras (0.4.3-0ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - fixes described in the ChangeLog
  * Packaging Changes
    - drop existing patches

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 29 Mar 2018 18:22:57 +0100

budgie-extras (0.4.2-1ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - add missing previews wrapper
  * Packaging Changes
    - add patch previews_missing_wrapper.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 04 Mar 2018 22:46:16 +0000

budgie-extras (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes:
    - debian/control and debian/compat: update to v11
    - debian/control: Bump Standards-Version - no changes required
    - debian/control: new binary packages budgie-rotation-lock-applet,
      budgie-clockworks-applet,
      budgie-dropby-applet
    - debian/copyright: 2018 year updates
    - debian/rules remove ninja make rules since debhelper can deal
      with meson builds
    - debian/rules check DEB_BUILD_OPTIONS for autotest
    - remove not needed debian/files
    - signing key; move and rename to debian/upstream

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 25 Feb 2018 19:50:17 +0000

budgie-extras (0.3.0-1) unstable; urgency=medium

  * Initial Release (Closes: #883720)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 06 Dec 2017 20:20:57 +0000
