=== debian/control ===
Source: budgie-extras
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 11),
		python3,
		meson,
		dh-python,
		pep8,
		pkg-config
Standards-Version: 4.1.3
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
Homepage: https://ubuntubudgie.org

Package: budgie-hotcorners-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing hotcorners capabilities for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The hotcorners applet allow user defined commands to be executed
 when the mouse cursor is pushed into a corner of the main desktop.

Package: budgie-quicknote-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing simple notes capability for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The quicknote applet allows a user to record a text based note.
 The applet supports multiple undo and redo capabilities.

Package: budgie-previews-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	xprintidle,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-cairo,
	python3-gi-cairo,
	dconf-cli,
	imagemagick,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing window previews capabilities for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Previews applet shows an overview of windows in an expose like way.

Package: budgie-workspace-overview-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing quick access to workspaces for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The workspace overview applet allows a user to quickly navigate
 workspaces using the applet's menu.  Optionally, navigation to any
 window in any workspace is possible.

Package: budgie-workspace-wallpaper-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing per workspace wallpaper
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The workspace wallpaper applet shows a different wallpaper on each of
 the workspaces. Usage is simple: add the applet to the panel and set
 wallpapers on each of the workspaces in the way you are used to.
 The applet will remember what wallpaper was set on each of the
 workspaces.

Package: budgie-window-mover-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet allows moving windows between workspaces for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Window Mover applet allows the user to quickly move windows to any
 of the other workspaces. Just drag a window to the bottom of the screen
 and a bar will popup, representing the workspaces. Click on
 any of the numbers (or press the corresponding number on the keyboard)
 and the window will move to that workspace.

Package: budgie-showtime-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-cairo,
	python3-gi-cairo,
	${misc:Depends}, ${python3:Depends}
Description: Applet displaying date and time on the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The ShowTime applet is a digital desktop clock, showing time and/or
 date.  Text color of both the displayed time and date can be set
 separately from the applet's menu

Package: budgie-countdown-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	vorbis-tools,
	zenity,
	dconf-cli,
	sound-theme-freedesktop,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing a countdown capability on the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Countdown applet provides the user the ability to start an
 action when the countdown reaches 0 seconds. Actions include flashing
 an icon in the panel, opening a notification window, sounding a
 bell or running a custom command.

Package: budgie-keyboard-autoswitch-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet adding the ability to set a different keyboard layout per application
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Keyboard Auto Switcher applet provides the user the ability to set
 a different keyboard layout per application. Exceptions to the default
 layout can be set by simply choosing a different layout using the
 Keyboard Layout applet.

Package: budgie-rotation-lock-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	${misc:Depends}, ${python3:Depends}
Description: Applet to lock or unlock the screen rotation
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Rotation Lock applet provides the user an easy way to lock or
 unlock the screen rotation.

Package: budgie-clockworks-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-pil,
	python3-svgwrite,
	python3-cairosvg,
	${misc:Depends}, ${python3:Depends}
Description: Applet to display clock across multiple time zones
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Clockworks applet displays the current time across multiple
 time zones.

Package: budgie-dropby-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-pyudev,
	zenity,
	${misc:Depends}, ${python3:Depends}
Description: Applet to popup when a USB device is connected
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The DropBy applet pops up in the panel when connecting a usb device.
 The applet subsequently offers the option(s) to mount, unmount/eject
 and in case of a flash drive, to make a local copy of the drive's
 content. The info shows the free space on the volume.
 .
 The applet is context- sensitive, meaning: it only shows its icon in
 the panel if, and as long as, any usb drive is connected.
