=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/ubuntubudgie/budgie-extras/releases .*/budgie-extras-([0-9.]+)\.tar\.xz
