## budgie-extras 0.6.1

=== debian/changelog ===
budgie-extras (0.6.1-2) unstable; urgency=medium

  * Bug-fix release
    - patch 0002-Fixed-dropby-not-popping-up.patch
      Ensure Dropby pops up when a USB device is detected

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 07 Oct 2018 22:54:24 +0100

budgie-extras (0.6.1-1) unstable; urgency=medium

  * New upstream release
    - see ChangeLog for details
  * Issues Resolved:
    - fix showtime crash on early exit (LP: #1760741)
    - fix hotcorners pressure calculation causing crash of the
      applet (LP: #1781981)
    - fix occasional display issues with previews (LP: #1779766)
      wpreviews.patch
  * Patch 0001-Fix-GPL-license-to-be-project-consistent.patch
    Apply upstream fix to make QuickNote source copyright
    consistent with the project
  * Packaging Changes:
    - Bump Standards-Version - no changes required
    - debian/control change build-dependencies to build both vala and
      python3 applets
    - debian/control
      update descriptions for vala applets
      revise binary dependencies for hotcorners and quicknote
      change architecture for hotcorners and quicknote to any
      update BuildDepends to accommodate Vala compilation
      Add new binary packages for trash, recentlyused, applauncher and weather
    - debian/rules Add hardening instructions for Vala based applets

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 18 Sep 2018 13:06:49 +0100

budgie-extras (0.5.0-1) unstable; urgency=medium

  * New release
    - Add Kangaroo plugin
  * Packaging changes
    - debian/control drop obsolete alternate library for budgie-desktop
    - debian/control add missing runtime dependency gir1.2-peas-1.0
    - debian/control bump StandardsVersion no changes required
    - debian/control add binary package budgie-kangaroo-applet

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 08 May 2018 20:29:07 +0100
