=== debian/control ===
--- 
+++ 
@@ -7,49 +7,66 @@
 		meson,
 		dh-python,
 		pep8,
-		pkg-config
-Standards-Version: 4.1.3
+		pkg-config,
+		gobject-introspection,
+		libgtk-3-dev,
+		valac,
+		budgie-core-dev,
+		libbudgie-plugin0,
+		libpeas-dev,
+		libjson-glib-dev,
+		libgee-0.8-dev,
+		intltool
+Standards-Version: 4.2.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-hotcorners-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	xdotool,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	python3-psutil,
-	dconf-cli,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
  The hotcorners applet allow user defined commands to be executed
  when the mouse cursor is pushed into a corner of the main desktop.
 
+Package: budgie-trash-applet
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Applet allows access to trash capabilities for the Budgie Desktop
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The trash applet allows the user access the desktop trash capabilities
+ from the panel including the ability to delete and restore files stored
+ in the trash folder.
+
 Package: budgie-quicknote-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	python3-psutil,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Applet providing simple notes capability for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
  The quicknote applet allows a user to record a text based note.
  The applet supports multiple undo and redo capabilities.
 
+Package: budgie-recentlyused-applet
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Applet displays files recently accessed for the Budgie Desktop
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The recentlyused applet displays the users files that have been opened
+ or created within a configurable period of time.
+
 Package: budgie-previews-applet
 Architecture: all
 Depends: python3,
@@ -57,9 +74,10 @@
 	wmctrl,
 	xdotool,
 	xprintidle,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
@@ -78,13 +96,14 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing quick access to workspaces for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -97,14 +116,15 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing per workspace wallpaper
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -120,14 +140,15 @@
 	python3-gi,
 	wmctrl,
 	xdotool,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet allows moving windows between workspaces for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -142,15 +163,16 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet displaying date and time on the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -162,9 +184,10 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	vorbis-tools,
 	zenity,
@@ -172,7 +195,7 @@
 	sound-theme-freedesktop,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing a countdown capability on the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -185,13 +208,14 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet adding the ability to set a different keyboard layout per application
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -204,12 +228,13 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to lock or unlock the screen rotation
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -220,15 +245,16 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-pil,
 	python3-svgwrite,
 	python3-cairosvg,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to display clock across multiple time zones
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -239,15 +265,16 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-pyudev,
 	zenity,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to popup when a USB device is connected
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -258,3 +285,59 @@
  .
  The applet is context- sensitive, meaning: it only shows its icon in
  the panel if, and as long as, any usb drive is connected.
+
+Package: budgie-kangaroo-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	python3-psutil,
+	xdg-utils,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to allow quick file-browsing
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The kangaroo applet allows for quick & easy browsing, across
+ (possibly) many directory layers, without having to do a single mouse
+ click.
+
+Package: budgie-app-launcher-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to provide an alternative means to launch applications
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The app-launcher applet allows the ability to add favorite apps to the
+ panel as well as finding and launching applications.  The list of
+ applications listed can be easily configured to be visible or hidden.
+
+Package: budgie-weathershow-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	python3-requests,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to display the weather and forecast
+ This is part of a suite of python3 based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The weathershow applet displays daily and three hourly weather
+ forecasts on both the desktop and a Popover.
