## budgie-extras 0.7.1

=== debian/changelog ===
budgie-extras (0.7.1-3) unstable; urgency=medium

  * Bug-fix release (LP: #1815310)
    - Add missing dconf-cli package dependency
      budgie-hotcorners-applet
      budgie-Weathershow-applet
      budgie-showtime-applet

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 09 Feb 2019 23:48:07 +0000

budgie-extras (0.7.1-2) unstable; urgency=medium

  * Bug-fix release
    - Latest Translations
      patch translations.patch
    - Fix crashes when OWN releases new weather icons
      patch weather.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 02 Feb 2019 11:46:27 +0000

budgie-extras (0.7.1-1) unstable; urgency=medium

  * Bug-fix release
    - Latest Translations
    - Bug-fix to detect language for Weathershow correctly

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Jan 2019 21:32:44 +0000

budgie-extras (0.7.0-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - remove unneeded clockworks doc
    - drop existing patchset since now included in the new release
    - Control: budgie-weather-applet build
      and runtime dependencies updated due to python to Vala rewrite
    - Control: Add budgie-extras-common build together with dependency
      updates for several applets where they share the extras common
      component
    - Control: several build install changes where budgie-extras-common
      now replaces individual component installations
    - Copyright: updates due to extra licensing for the release
      including year change
    - Control: Bump StandardsVersion - no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 29 Dec 2018 19:53:05 +0000

budgie-extras (0.6.1-4) unstable; urgency=medium

  * Revert clockworks deprecation since package svgwrite v1.2.1 has
    now been uploaded and the RC issue is now resolved
  * Packaging Changes
    - Control: Update description, dependencies and install file
      for clockworks

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 07 Dec 2018 20:04:15 +0000

budgie-extras (0.6.1-3) unstable; urgency=medium

  * Bug-fix release
    - Support for clockworks applet has been dropped since it depends
      upon package svgwrite which FTBFS (v1.1.8).  The RC issue causes
      budgie-extras to be marked for autoremoval
  * Packaging Changes
    - Control: Update description for clockworks
    - Update clockworks install to just include its README

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 26 Nov 2018 19:41:04 +0000
