=== debian/control ===
--- 
+++ 
@@ -16,15 +16,29 @@
 		libpeas-dev,
 		libjson-glib-dev,
 		libgee-0.8-dev,
-		intltool
-Standards-Version: 4.2.1
+		intltool,
+		libsoup2.4-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
+Package: budgie-extras-common
+Architecture: any
+Depends: ${misc:Depends}
+Description: Shared component of budgie-extras applets
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The shared component provides for capabilities that are utilised between
+ budgie-extra applets.
+
 Package: budgie-hotcorners-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -35,7 +49,8 @@
 
 Package: budgie-trash-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet allows access to trash capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -47,7 +62,8 @@
 
 Package: budgie-quicknote-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet providing simple notes capability for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -58,7 +74,8 @@
 
 Package: budgie-recentlyused-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet displays files recently accessed for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -170,6 +187,7 @@
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
+	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet displaying date and time on the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
@@ -325,15 +343,10 @@
  applications listed can be easily configured to be visible or hidden.
 
 Package: budgie-weathershow-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-requests,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet to display the weather and forecast
  This is part of a suite of python3 based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
