## budgie-extras 0.8.3

=== debian/changelog ===
budgie-extras (0.8.3-0ubuntu1) disco; urgency=medium

  * Bug fix release
    - Translation update
    - Fix showtime date display for non-english locales

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 20 Mar 2019 20:24:25 +0000

budgie-extras (0.8.2-0ubuntu1) disco; urgency=medium

  *  Bug fix release
     - Lots of translation updates
     - Ensure Showtime copes correctly with desktop sizing and resizing
     - Add forgotten translation strings for AM/PM
     - Fix vertical spacing issues for Showtime
     - Cope with different locale date formats correctly - this resolves date
       display problems
  * Packaging Changes
     - Control - add libwnck-3-dev as build dependency

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 10 Mar 2019 10:24:04 +0000

budgie-extras (0.8.1-0ubuntu1) disco; urgency=medium

  * New release
    - Change from python to vala version of ShowTime applet
  * Packaging Changes
    - Control: swap python dependencies for ShowTime to vala based
      dependencies, architecture changed to any

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Feb 2019 20:36:49 +0000

budgie-extras (0.8.0-0ubuntu1) disco; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control: Add packaging for takeabreak applet
    - Drop all patches since they have been incorporated
      in the new release

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Feb 2019 16:43:49 +0000
