=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
 		libjson-glib-dev,
 		libgee-0.8-dev,
 		intltool,
-		libsoup2.4-dev
+		libsoup2.4-dev,
+		libwnck-3-dev
 Standards-Version: 4.3.0
-Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian-launchpad
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian-launchpad
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-extras-common
@@ -176,19 +177,10 @@
  and the window will move to that workspace.
 
 Package: budgie-showtime-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-psutil,
-	python3-cairo,
-	python3-gi-cairo,
-	dconf-cli,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet displaying date and time on the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -354,3 +346,10 @@
  .
  The weathershow applet displays daily and three hourly weather
  forecasts on both the desktop and a Popover.
+
+Package: budgie-takeabreak-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
