## budgie-extras 0.9.0

=== debian/changelog ===
budgie-extras (0.9.0-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control: add libwnck-3-dev, libkeybinder-3.0-dev,
      gnome-settings-daemon-dev as build dependencies
    - Control: swap python dependencies for ShowTime to vala based
      dependencies, architecture changed to any
    - Control: Add packaging for takeabreak applet,
      Workspace Stopwatch applet, Fuzzy Clock applet, Brightness
      Controller applet, Budgie Extras Daemon, Budgie Quickchar
    - Drop all patches since they have been incorporated
      in the new release
    - Control/Compat update for debhelper 12
    - Bump StandardsVersion: no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 25 Jul 2019 19:54:43 +0100
