=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
 		python3,
 		meson,
 		dh-python,
@@ -18,10 +18,12 @@
 		libgee-0.8-dev,
 		intltool,
 		libsoup2.4-dev,
-		libwnck-3-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian-launchpad
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian-launchpad
+		libwnck-3-dev,
+		libkeybinder-3.0-dev,
+		gnome-settings-daemon-dev
+Standards-Version: 4.4.0
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-extras-common
@@ -351,5 +353,3 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
