## budgie-extras 0.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -17,3 +17,8 @@
 option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
 option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
 option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')
+option('build-workspacestopwatch', type: 'boolean', value: false, description: 'Build workspace-stopwatch')
+option('build-extrasdaemon', type: 'boolean', value: false, description: 'Build extras daemon')
+option('build-quickchar', type: 'boolean', value: false, description: 'Build quickchar')
+option('build-fuzzyclock', type: 'boolean', value: false, description: 'Build fuzzy clock')
+option('build-brightness-controller', type: 'boolean', value: false, description: 'Build brightness controller applet')
