=== debian/changelog ===
budgie-extras (0.10.1-0ubuntu4) eoan; urgency=medium

  * Bug-fix release
    - Do not follow symlinks pointing to other partitions when emptying the
      trash-can otherwise the location pointed to will also be deleted
      (LP: #1872197)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 11 Apr 2020 10:24:38 +0100

budgie-extras (0.10.1-0ubuntu3) eoan; urgency=medium

  * Bug-fix release
    - disable quicknote applet context menu that invoking emoji's, intel
      graphics etc causing weird graphical issues
      disable-rightclick.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2019 19:05:27 +0100

budgie-extras (0.10.1-0ubuntu2) eoan; urgency=medium

  * Bug-fix release
    - install missing quickchar menu desktop file

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 20 Sep 2019 21:33:56 +0100

budgie-extras (0.10.1-0ubuntu1) eoan; urgency=medium

  * New bug-fix-release
    - see ChangeLog
  * Packaging Changes
    - remove unneeded docs and include-binaries files
    - Add missing dependencies for hotcorners applet
    - Add missing dependency for recentlyused applet
    - Add missing dependency for weathershow applet
    - Add missing dependency for previews
    - Add missing dependency for takeabreak applet
    - Remove unneeded dependency for quickchar

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Sep 2019 10:53:58 +0100

budgie-extras (0.10.0-0ubuntu1) eoan; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control change previews from a python3 based app to a vala based
      application.  Description updated for the package
    - Previews install files updated

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 21 Aug 2019 20:22:52 +0100

budgie-extras (0.9.1-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control swap build-depends pep8 for pycodestyle

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 14 Aug 2019 18:53:52 +0100
