=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		python3,
 		meson,
 		dh-python,
-		pep8,
+		pycodestyle,
 		pkg-config,
 		gobject-introspection,
 		libgtk-3-dev,
@@ -41,7 +41,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  budgie-extras-common,
- dconf-cli
+ dconf-cli,
+ gnome-screensaver,
+ libnotify-bin
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -78,7 +80,8 @@
 Package: budgie-recentlyused-applet
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- budgie-extras-common
+ budgie-extras-common,
+ xdg-utils
 Description: Applet displays files recently accessed for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -88,28 +91,18 @@
  or created within a configurable period of time.
 
 Package: budgie-previews-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	xdotool,
-	xprintidle,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-psutil,
-	python3-cairo,
-	python3-gi-cairo,
-	dconf-cli,
-	imagemagick,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: budgie-extras-daemon,
+  ${misc:Depends}, ${shlibs:Depends},
+  xprintidle
 Description: Applet providing window previews capabilities for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
- Desktop that provide additional user orientated capabilities.
- The applets can be used individually or as a set.
- .
- The Previews applet shows an overview of windows in an expose like way.
+ This is part of a suite of python3 and Vala based applets & mini-apps
+ created for the Budgie Desktop that provide additional user orientated
+ capabilities. These can be used individually or as a set.
+ .
+ budgie-previews can be used on most desktop environments.
+ .
+ Previews shows an overview of windows in an expose like way.
 
 Package: budgie-workspace-overview-applet
 Architecture: all
@@ -340,7 +333,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  budgie-extras-common,
- dconf-cli
+ dconf-cli,
+ procps
 Description: Applet to display the weather and forecast
  This is part of a suite of python3 based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -353,3 +347,5 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
